Name:		libmsn
Summary:	Reusable, open-source and fully documented library for MSN
Version:	4.2.1
Release:	3
License:	GPLv2+
Group:		Development/C++
Url:		http://sourceforge.net/projects/libmsn
Source0:	http://downloads.sourceforge.net/libmsn/%name-%version.tar.bz2
Patch0:		libmsn-4.2.1-unistd.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(openssl)

%description
Libmsn is a reusable, open-source, fully documented library for 
connecting to Microsoft's MSN Messenger service.

#-----------------------------------------------------------------------------

%define msn_major 0.3
%define libmsn %mklibname msn %{msn_major}

%package -n %{libmsn}
Summary:	%{name} library
Group:		System/Libraries

%description -n %{libmsn}
%{name} library.

%files -n %{libmsn}
%{_libdir}/libmsn.so.%{msn_major}*

#-----------------------------------------------------------------------------

%package test
Summary:	Connection test utility
Group:		Development/C++

%description test
Connection test utility.

%files test
%{_bindir}/*

#-----------------------------------------------------------------------------

%package devel
Summary:	Devel stuff for %{name}
Group:		Development/C++
Requires:	%{libmsn} = %{version}-%{release}

%description devel
Files needed to build applications based on %{name}.

%files devel
%{_libdir}/pkgconfig/*
%{_includedir}/msn
%{_libdir}/libmsn.so

#-----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%cmake
%make

%install
%makeinstall_std -C build


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 4.2.1-3
+ Revision: c37d1ec
- MassBuild#440: Increase release tag


